Name:           libkexif
Version:        0.2.1
Release:        0.fdr.1.2
Epoch:          0
Summary:        Allow Kipi plugins to extract EXIF information

Group:          System Environment/Libraries
License:        GPL
URL:            http://extragear.kde.org/apps/kipi
Source0:        http://dl.sf.net/digikam/libkexif-0.2.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libexif-devel >= 0:0.5.7, kdelibs-devel >= 6:3.0
BuildRequires:  gettext

%description
This library allows Kipi plugins to extract EXIF information from JPEG files.


%package        devel
Summary:        Allow Kipi plugins to extract EXIF information
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       kdelibs-devel

%description    devel
libkexif allows Kipi plugins to extract EXIF information from JPEG files.
This package contains the files needed to build applications with libkexif
support.


%prep
%setup -q


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-debug --enable-final
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

#find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libkexif


%changelog
* Mon Jan 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.2.1-0.fdr.1
- version 0.2.1
- update URL tag

* Wed Jan 05 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.2
- Licence is GPL not LGPL
- Fix -devel description and requirements
- Switch group to "System Environment/Libraries"

* Mon Oct 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.1-0.fdr.1
- Initial RPM release.
